web analytics
Press "Enter" to skip to content

PageHandlerFactory-Integrated has a bad module “ManagedPipelineHandler”

Lars Fiedler

When setting up our environment on older OSs ( i.e. Windows 7, Server 2008 R2), we normally run into the following error when hitting the web application for the first time:

This is normally due to Asp.NET not configured for the .NET framework 4.0 and above.  In Windows 7, there is no option to install ASP.NET for 4.0 or 4.5 in the “Turn Windows Features On or Off” screen.  Instead, you need to repair it by the running the following command:

 

Lars Fiedler

Comments are closed.